org.apache.tapestry5.ioc.internal

## Class ServiceActivityTrackerImpl.MutableServiceActivity

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.ServiceActivityTrackerImpl.MutableServiceActivity

- All Implemented Interfaces:
    ServiceActivity
  Enclosing class:
    ServiceActivityTrackerImpl

      public static class ServiceActivityTrackerImpl.MutableServiceActivity
      extends Object
      implements ServiceActivity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableServiceActivity(ServiceDef serviceDef, PerthreadManager perthreadManager, Status status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class>` | `getMarkers()` The markers on this service
    `String` | `getScope()` The scope of the service (typically "singleton" or "perthread").
    `String` | `getServiceId()` The unique id for the service.
    `Class` | `getServiceInterface()` The interface implemented by the service (this may occasionally be a class, for non-proxied services).
    `Status` | `getStatus()` Indicates the lifecycle status of the service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableServiceActivity

          public MutableServiceActivity(ServiceDef serviceDef,
                                        PerthreadManager perthreadManager,
                                        Status status)

  - ### Method Detail

    - #### getServiceId

          public String getServiceId()

      Description copied from interface: `ServiceActivity`
      The unique id for the service.
      Specified by:
        `getServiceId` in interface `ServiceActivity`

    - #### getServiceInterface

          public Class getServiceInterface()

      Description copied from interface: `ServiceActivity`
      The interface implemented by the service (this may occasionally be a class, for non-proxied services).
      Specified by:
        `getServiceInterface` in interface `ServiceActivity`

    - #### getScope

          public String getScope()

      Description copied from interface: `ServiceActivity`
      The scope of the service (typically "singleton" or "perthread").
      Specified by:
        `getScope` in interface `ServiceActivity`

    - #### getMarkers

          public Set<Class> getMarkers()

      Description copied from interface: `ServiceActivity`
      The markers on this service
      Specified by:
        `getMarkers` in interface `ServiceActivity`

    - #### getStatus

          public Status getStatus()

      Description copied from interface: `ServiceActivity`
      Indicates the lifecycle status of the service.
      Specified by:
        `getStatus` in interface `ServiceActivity`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.